Bug 31379 - Change results per page text for default
Summary: Change results per page text for default
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on: 14715
Blocks:
  Show dependency treegraph
 
Reported: 2022-08-17 06:08 UTC by Fridolin Somers
Modified: 2022-11-18 01:18 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.07


Attachments
Bug 31379: Change results per page text for default (4.22 KB, patch)
2022-08-17 06:12 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 31379: Change results per page text for default (4.27 KB, patch)
2022-08-17 12:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 31379: Change results per page text for default (4.33 KB, patch)
2022-08-20 08:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2022-08-17 06:08:21 UTC
Since Bug 14715, one can change number of results per page.
The actual text in combobox for default value is : "Library default: 20"

This text is hard to translate correctly.
For example french translation use "site par défaut" wrongly meaning "default library".

I propose to simply use "20 (defaut)".
Comment 1 Fridolin Somers 2022-08-17 06:12:24 UTC
Created attachment 139221 [details] [review]
Bug 31379: Change results per page text for default

Since Bug 14715, one can change number of results per page.
The actual text in combobox for default value is : "Library default: 20"

This text is hard to translate correctly.
For example french translation use "site par défaut" wrongly meaning "default library".

I propose to simply use "20 (defaut)".

Test plan :
1) Go to system preferences and set both 'numSearchResultsDropdown' and 'OPACnumSearchResultsDropdown' to 'Show'
2) Do a catalogue search in the intranet using a search term that will bring lots of results
3) Look at restults per page combobox
4) Same for OPAC
Comment 2 Owen Leonard 2022-08-17 12:08:26 UTC
Created attachment 139276 [details] [review]
Bug 31379: Change results per page text for default

Since Bug 14715, one can change number of results per page.
The actual text in combobox for default value is : "Library default:
20"

This text is hard to translate correctly.
For example french translation use "site par défaut" wrongly meaning
"default library".

I propose to simply use "20 (defaut)".

Test plan :
1) Go to system preferences and set both 'numSearchResultsDropdown' and
   'OPACnumSearchResultsDropdown' to 'Show'
2) Do a catalogue search in the intranet using a search term that will
   bring lots of results
3) Look at restults per page combobox
4) Same for OPAC

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2022-08-20 08:40:58 UTC
Created attachment 139535 [details] [review]
Bug 31379: Change results per page text for default

Since Bug 14715, one can change number of results per page.
The actual text in combobox for default value is : "Library default:
20"

This text is hard to translate correctly.
For example french translation use "site par défaut" wrongly meaning
"default library".

I propose to simply use "20 (defaut)".

Test plan :
1) Go to system preferences and set both 'numSearchResultsDropdown' and
   'OPACnumSearchResultsDropdown' to 'Show'
2) Do a catalogue search in the intranet using a search term that will
   bring lots of results
3) Look at restults per page combobox
4) Same for OPAC

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2022-08-26 19:56:37 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 5 Lucas Gass 2022-10-31 17:53:39 UTC
Backported to 22.05.x for upcoming 22.05.07 release
Comment 6 Arthur Suzuki 2022-11-14 10:52:46 UTC
applied to 21.11.x for 21.11.14
Comment 7 Victor Grousset/tuxayo 2022-11-18 01:18:18 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.